java.applet

## Interface AudioClip

-     public interface AudioClip

  The `AudioClip` interface is a simple abstraction for playing a sound clip. Multiple `AudioClip` items can be playing at the same time, and the resulting sound is mixed together to produce a composite.
  Since:
    JDK1.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `loop()` Starts playing this audio clip in a loop.
    `void` | `play()` Starts playing this audio clip.
    `void` | `stop()` Stops playing this audio clip.

- - ### Method Detail

    - #### play

          void play()

      Starts playing this audio clip. Each time this method is called, the clip is restarted from the beginning.

    - #### loop

          void loop()

      Starts playing this audio clip in a loop.

    - #### stop

          void stop()

      Stops playing this audio clip.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2019, Oracle and/or its affiliates. All rights reserved.